Forum Settings
This Forum is Read Only

FFXIV Collectors Edition.Follow

#1 Aug 19 2010 at 7:07 AM Rating: Decent
154 posts
Hi there, first post on these forums.

Just went to pre-order FFXIV Collectors Edition off, saw the standard edition first, says it's compatible with Windows 7, XP SP3, and Vista.

Looked at the Collectors Edition, and it says its only compatible with Windows 7 and Vista, seemed pretty silly to me since its the same game right?

Anyone know if this is true or will I be able to play the Collectors Edition on my Windows XP SP3?
#2 Aug 19 2010 at 7:09 AM Rating: Good
749 posts
I'm sure it's compatible with XP.

The Truth is a virus
#3 Aug 19 2010 at 7:12 AM Rating: Decent
111 posts

Seems like its the difference between "Minimum" and "Recommended" Requirements. Mabe they want to see how the recommended requirements play during the early start. (Collectors Edition)
#4 Aug 19 2010 at 7:14 AM Rating: Decent
295 posts
use XP at your own risk. It may work, but if it doesn't, don't expect SE to be in a hurry to fix it. When people had problems with XP during the beta, SE's solution was to upgrade their machine...
#5 Aug 19 2010 at 7:17 AM Rating: Decent
154 posts
To the above posts, all the rest of my pc's specs are way over the recommended, except from using Windows XP. Still think it'll make a difference?
#6 Aug 19 2010 at 7:25 AM Rating: Decent
111 posts
To be honest nothing can be certain until the game comes out. Its just a waiting game i suppose
This forum is read only
This Forum is Read Only!
Recent Visitors: 15 All times are in CDT
Anonymous Guests (15)